Get Agent Booking Settings
curl --request GET \
--url https://api.getnexor.ai/api/public/workflows/{id}/booking-settings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/booking-settings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/booking-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_attendees": [
{
"email": "jsmith@example.com",
"name": "<string>"
}
],
"host_assigner": {},
"external_booking": {
"provider": "external_booker",
"tool": "<string>",
"reschedule_tool": "<string>",
"cancel_tool": "<string>",
"slots_tool": "<string>",
"slots_tools": [
"<string>"
],
"source": "<string>",
"default_duration_min": 242,
"title_fallback": "<string>",
"success_path": "<string>",
"fields": {
"starts_at": "<string>",
"ends_at": "<string>",
"meeting_url": "<string>",
"external_id": "<string>",
"title": "<string>",
"timezone": "<string>",
"host_id": "<string>",
"organizer_email": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Get Agent Booking Settings
This operation lets you get agent booking settings for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
workflows
/
{id}
/
booking-settings
Get Agent Booking Settings
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Workflow identifier.
Last modified on September 8, 2026
⌘I